Subject: Re: bug#69056: 30.0.50; history-add-new-input and recursive minibuffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Feb 2024 10:19:18 +0200

> Cc: [email-masked]
> Date: Sun, 11 Feb 2024 19:50:21 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Eshel Yaron <[email-masked]>
> > Cc: [email-masked]
> > Date: Sun, 11 Feb 2024 18:42:49 +0100
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > I'm not sure we should be interested in fixing this.  Recursive
> > > minibuffers are not supposed to start a completely new command loop
> > > unaffected by whatever was before it, so we shouldn't try.
> > 
> > I see that, but the problem, IMO, is that there's nothing telling you
> > that you're in this state of not recording minibuffer history.  You
> > likely won't know that you're using a command that let-binds
> > history-add-new-input when you enter a recursive minibuffer, and losing
> > all minibuffer history from commands you invoked in the recursive edit
> > may come as an unpleasant surprise.
> 
> We should probably document this caveat.  enable-recursive-minibuffers
> is an advanced feature, not recommended to newbies.

Stefan & Stefan, any comments or suggestions, beyond documenting this
caveat?